package com.bocloud.nms.model.veeam.job;

public class BackupScheduleModel {

    private boolean runAutomatically;
    private ScheduleDailyModel daily;
    private ScheduleMonthlyModel monthly;
    private SchedulePeriodicallyModel periodically;
    private ScheduleBackupWindowModel continuously;
    private ScheduleAfterThisJobModel afterThisJob;
    private ScheduleRetryModel retry;
    private ScheduleBackupWindowModel backupWindow;

    public boolean isRunAutomatically() {
        return runAutomatically;
    }

    public void setRunAutomatically(boolean runAutomatically) {
        this.runAutomatically = runAutomatically;
    }

    public ScheduleDailyModel getDaily() {
        return daily;
    }

    public void setDaily(ScheduleDailyModel daily) {
        this.daily = daily;
    }

    public ScheduleMonthlyModel getMonthly() {
        return monthly;
    }

    public void setMonthly(ScheduleMonthlyModel monthly) {
        this.monthly = monthly;
    }

    public SchedulePeriodicallyModel getPeriodically() {
        return periodically;
    }

    public void setPeriodically(SchedulePeriodicallyModel periodically) {
        this.periodically = periodically;
    }

    public ScheduleBackupWindowModel getContinuously() {
        return continuously;
    }

    public void setContinuously(ScheduleBackupWindowModel continuously) {
        this.continuously = continuously;
    }

    public ScheduleAfterThisJobModel getAfterThisJob() {
        return afterThisJob;
    }

    public void setAfterThisJob(ScheduleAfterThisJobModel afterThisJob) {
        this.afterThisJob = afterThisJob;
    }

    public ScheduleRetryModel getRetry() {
        return retry;
    }

    public void setRetry(ScheduleRetryModel retry) {
        this.retry = retry;
    }

    public ScheduleBackupWindowModel getBackupWindow() {
        return backupWindow;
    }

    public void setBackupWindow(ScheduleBackupWindowModel backupWindow) {
        this.backupWindow = backupWindow;
    }

    @Override public String toString() {
        return "BackupScheduleModel{" + "runAutomatically=" + runAutomatically + ", daily=" + daily + ", monthly="
            + monthly + ", periodically=" + periodically + ", continuously=" + continuously + ", afterThisJob="
            + afterThisJob + ", retry=" + retry + ", backupWindow=" + backupWindow + '}';
    }
}
